package blanco.plugin.strutsee.wizards;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

public class BlancoStrutsEEWizardPage3 extends WizardPage {

    private ISelection selection;

    public BlancoStrutsEEWizardPage3(ISelection selection) {
        super("wizardPage");
        setTitle("blancoStruts Enterprise Edition プラグインのインストール");
        this.selection = selection;
    }

    public void createControl(Composite parent) {
        GridLayout gridLayout = new GridLayout();
        gridLayout.numColumns = 1;

        Composite container = new Composite(parent, SWT.NULL);
        container.setLayout(gridLayout);

        new Label(container, SWT.NONE)
                .setText("blancoStruts Enterprise Edition プラグインを動作させるためには、下記のものが必要です。");
        new Label(container, SWT.NONE)
                .setText("  1.Eclipse 3.0またはそれ以上のバージョンのEclipse。");
        new Label(container, SWT.NONE)
                .setText("  2.Excel(*.xls)ファイル形式を読み書き可能なアプリケーションソフト。");
        new Label(container, SWT.NONE)
                .setText("    画面定義は Excel(*.xls)ファイル形式で保存します。");
        new Label(container, SWT.NONE)
                .setText("    このため Excel(*.xls)ファイル形式を読み書き可能なアプリケーションソフトが必要になります。");

        setControl(container);
    }
}